Home Forums General XMetaL Discussion XMetaL Install Error Reply To: XMetaL Install Error

Derek Read

Reply to: XMetaL Install Error

This release requires the .NET runtime versions 3.0 and 3.5. If not already installed then our installer makes the request to download it from Microsoft and install it. I suspect that is what the “assembly” portion of the error message is referring to.

I would first try rebooting then running the XMetaL Author Enterprise installer to see if it can do its job after a reboot.
If that still fails then try manually installing .NET 3.0 and 3.5 after direct download from Microsoft's website, then reboot to make sure it is really done (sometimes that installer finishes some stuff after a reboot), and then install XMetaL Author Enterprise.

[quote=install-readme.html for 6.0]Special note for Windows XP installations: On computers without the Microsoft .NET Framework installed, the installation of XMetaL Author will take more time than usual to complete. To speed up the installation time, the following components of .NET Framework can be be installed beforehand and MUST be installed beforehand if you are using the “XMetaL Author Enterprise.msi”:

    Microsoft .NET Framework 3.0 Redistributable Package
    This component can be downloaded from http://www.microsoft.com/downloads/details.aspx?FamilyID=10CC340B-F857-4A14-83F5-25634C3BF043&displaylang=en
    Microsoft .NET Framework 3.5 Service Pack 1
    This component can be downloaded from http://www.microsoft.com/downloads/details.aspx?FamilyID=AB99342F-5D1A-413D-8319-81DA479AB0D7&displaylang=en

Reply

Products
Downloads
Support